<div class="login auth card">
  <div class="logo" [inlineSVG]="'assets/svg/proxigram_logo.svg'" alt=""></div>
  <div class="title">Welcome to Pixorax</div>
  <form novalidate="" [formGroup]="form" (ngSubmit)="onLogIn(form)" class="form">
    <input type="email" class="input" placeholder="Email or Username" formControlName="email" />
    <div class="alert-danger" *ngIf="
        (!form.get('email').valid && form.get('email').touched) || (form.get('email').untouched && formSubmitAttempt)
      ">
      This field is required!
    </div>
    <input type="password" class="input" placeholder="Password" formControlName="password" />
    <div class="alert-danger" *ngIf="
        (!form.get('password').valid && form.get('password').touched) ||
        (form.get('password').untouched && formSubmitAttempt)
      ">
      This field is required!
    </div>
    <button type="submit" class="primary button" [disabled]="!getSubmitButton()">
      Log in
    </button>
    <button type="button" class="facebook button" (click)="signInWithFacebook(platform)">
      <i class="fa fa-facebook-square icon"></i>
      Log in with Facebook
    </button>
    <button type="button" class="google button" (click)="signInWithGoogle(platform)">
      <i class="fa fa-google icon"></i>
      Log in Google
    </button>
    <div class="links">
      <a href="" class="forgot-password" [routerLink]="['/forgot-password']">Forgot Password?</a>
      <a href="" class="sign-up" [routerLink]="['/signup']">Sign up!</a>
    </div>

    <div class="terms">
      By continuing, you agree to our
      <br />
      <span class="emphasize">Terms of Service</span>
      and
      <span class="emphasize">Privacy Policy</span>
    </div>
  </form>
</div>
